List MCP resources
Retrieve resources and resource templates from connected MCP servers.
GET
/api/mcp/resourceQuery parameters
locationobject | anyResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataMcp.ResourceCatalogrequiredShow propertiesHide properties
resourcesMcp.Resource[]requiredShow propertiesHide properties
Array of
Mcp.ResourceserverstringrequirednamestringrequireduristringrequireddescriptionstringmimeTypestringtemplatesMcp.ResourceTemplate[]requiredShow propertiesHide properties
Array of
Mcp.ResourceTemplateserverstringrequirednamestringrequireduriTemplatestringrequireddescriptionstringmimeTypestring400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/mcp/resource"const response = await fetch("/api/mcp/resource", {
method: "GET"
});import requests
response = requests.get(
"/api/mcp/resource",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": {
"resources": [
{
"server": "string",
"name": "string",
"uri": "string",
"description": "string",
"mimeType": "string"
}
],
"templates": [
{
"server": "string",
"name": "string",
"uriTemplate": "string",
"description": "string",
"mimeType": "string"
}
]
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}